<?php
# МОД СЫВОРАТКА ПРАВДЫ
# KAZAMA
# 383991000
error_reporting(0);
include_once '../sys/inc/start.php';
include_once '../sys/inc/compress.php';
include_once '../sys/inc/sess.php';
include_once '../sys/inc/home.php';
include_once '../sys/inc/settings.php';
include_once '../sys/inc/db_connect.php';
include_once '../sys/inc/ipua.php';
include_once '../sys/inc/fnc.php';
include_once '../sys/inc/user.php';
$set['title']='Сыворотка - Юзеры';
include_once '../sys/inc/thead.php';
title();
aut();



if (!isset($user)){
echo "Гостям вход запрешён";
include_once '../sys/inc/tfoot.php';
}

if (isset($_GET['id'])&&isset($_GET['zapret'])){
$q_frend=mysql_fetch_array(mysql_query("SELECT * FROM `frends` WHERE `frend`='".$_GET['id']."' AND `user`='".$user['id']."' "));
if ($q_frend['user']==$user['id']){
mysql_query("UPDATE `frends` SET `sivor_zapret` = '".mysql_escape_string($_GET['zapret'])."' WHERE `frend` = '".mysql_escape_string($_GET['id'])."' AND `user` = '".$user['id']."' LIMIT 1");
header("Location: ?sett");
}else echo "<div class='err'>Этот не ваш друг</div>";
}
if (isset($_GET['sett']))msg('Настройки успешно изменены');

if (isset($_GET['frend'])){
mysql_query("UPDATE `frends` SET `sivor_zapret` = '".mysql_escape_string($_GET['frend'])."' WHERE `user` = '".$user['id']."'");
header("Location: ?sett");
}

echo 'Выберите кому хотите запретить или разрешить отвечать про вас!<br />';
echo "<a href='?frend=1'>Всем запретить</a> |";
echo "<a href='?frend=0'> разрешить</a><br/>";
$k_post = mysql_result(mysql_query("SELECT COUNT(*) FROM `frends` WHERE `user` = '$user[id]' AND `i` = '1'"), 0);
$k_page=k_page($k_post,$set['p_str']);
$page=page($k_page);
$start=$set['p_str']*$page-$set['p_str'];
if ($k_post==0)echo '<div class="menu">Нет друзей!</div>';

$q = mysql_query("SELECT * FROM `frends` WHERE `user` = '$user[id]' AND `i` = '1' ORDER BY time DESC LIMIT $start, $set[p_str]");
while ($f = mysql_fetch_array($q))
{
$ank=mysql_fetch_array(mysql_query("SELECT * FROM `user` WHERE `id`='".$f['frend']."'"));

echo "<div class='p_m'>";

echo '<img src="/style/themes/'.$set['set_them'].'/user/'.$ank['pol'].'.png" alt="" />';
echo ''.online($ank['id']).'';
echo '<a href="/info.php?id='.$ank['id'].'">'.$ank['nick'].'</a><br />';
if ($f[sivor_zapret]!=1)echo "<a href='?id=$f[frend]&zapret=1'>Запретить отвечать</a>"; else echo "<a href='?id=$f[frend]&zapret=0'>Разрешить отвечать</a>";
echo "</div>";
}

echo "<div class='foot'>";
if ($k_page>1)str("?",$k_page,$page); // Вывод страниц
echo "</div>";

echo '<a href="/sivor">В игру</a></div>';

include_once '../sys/inc/tfoot.php';

?>